version: "3.3"

services:
  database:
    image: postgres
    container_name: game-app-db
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: 418
      POSTGRES_DB: gameapp

  backend:
    image: registry.gitlab.com/code418teapot/game-app/backend-template/backend:latest
    container_name: game-app
    environment:
      SPRING_PROFILES_ACTIVE: production
      SPRING_DATASOURCE_URL: jdbc:postgresql://game-app-db:5432/gameapp
      SPRING_DATASOURCE_USERNAME: postgres
      SPRING_DATASOURCE_PASSWORD: 418
    depends_on:
      - database
    ports:
      - "8080:8080"
    entrypoint: ["java", "-Dapp.home=/usr/src/game-app/home", "-jar", "/usr/local/game-app/game-app.jar"]
